Bug 873809 - Javascript error when looking at Import History for subscriptions
Javascript error when looking at Import History for subscriptions
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Tom McKay
Og Maciel
: Triaged
Depends On: 859230
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-06 13:46 EST by Tom McKay
Modified: 2013-02-21 14:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 859230
Environment:
Last Closed: 2013-02-21 14:18:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Import History Javascript no error using Firebug (126.07 KB, image/png)
2012-11-15 04:22 EST, Tazim Kolhar
no flags Details

  None (edit)
Description Tom McKay 2012-11-06 13:46:04 EST
+++ This bug was initially created as a clone of Bug #859230 +++

Description of problem:

Firebug showed a javascript error while browsing the Import History page for my organization.

  TypeError: $("#redhatSubscriptionTable").treeTable is not a function
[Break On This Error] 	

...t").click(function()  {$(this).closest("form").submit()})});KT.redhat_provider_pag...

Version-Release number of selected component (if applicable):

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch

How reproducible:


Steps to Reproduce:
1. Import a valid manifest file
2. Visit the Import History page
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom McKay 2012-11-08 08:37:16 EST
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: 21427a85f00d761bebb9dd8d0765d51e36468254
      https://github.com/Katello/katello/commit/21427a85f00d761bebb9dd8d0765d51e36468254
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-11-07 (Wed, 07 Nov 2012)
Comment 2 Tazim Kolhar 2012-11-15 04:22:45 EST
Created attachment 645525 [details]
Import History Javascript no error using Firebug

VERIFIED :

# rpm -qa | grep katello
katello-common-1.2.5-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.2.3-1h.el6_3.noarch
katello-glue-candlepin-1.2.5-1h.el6_3.noarch
katello-certs-tools-1.2.1-1h.el6_3.noarch
katello-headpin-1.2.5-1h.el6_3.noarch
katello-configure-1.2.2-1h.el6_3.noarch
katello-headpin-all-1.2.5-1h.el6_3.noarch
katello-cli-1.2.3-1h.el6_3.noarch
katello-selinux-1.2.1-1h.el6_3.noarch
Comment 4 errata-xmlrpc 2013-02-21 14:18:57 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.